# $Id$
# Authority: dag

Summary: Fingerprinting DNS servers
Name: fpdns
Version: 0.9.1
Release: 1.rf
License: GPL
Group: Applications/Internet
URL: http://www.rfc.se/fpdns/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.rfc.se/fpdns/distfiles/fpdns-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch

%description
fpdns is a tool to fingerprint DNS servers. Requirements for protocol behaviour
of DNS implementations is widely documented in the case of 'common' dns
messages. The DNS protocol is over 20 years old and since its inception, there
have been over 40 independent DNS implementations, while some implementations
have over 20 versions.

The methodology used to identify individual nameserver implementations is based
on "borderline" protocol behaviour. The DNS protocol offers a multitude of
message bits, response types, opcodes, classes, query types and label types in
a fashion that makes some mutually exclusive while some are not used in a query
messages at all. Not every implementation offers the full set of features the
DNS protocol set currently has. Some implementations offer features outside the
protocol set, and there are implementations that do not conform to standards.

%prep
%setup -c

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 fpdns.pl %{buildroot}%{_bindir}/fpdns
%{__install} -Dp -m0644 fpdns.1 %{buildroot}%{_mandir}/man1/fpdns.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man1/fpdns.1*
%{_bindir}/fpdns

%changelog
* Sun Dec 30 2007 Dag Wieers <dag@wieers.com> - 0.9.1-1 - +/
- Initial package. (using DAR)
